<?php


/**
 * Klasse Rebres
 * Reboot und Reset
 */

class RebootReset {

        /*
         * Function testing module: if t1/e1 return true else return false
         */
        function is_t1e1_installed () {
                exec('/bin/cat /proc/li* | /bin/grep type | /bin/grep t1e1', $result);

                return isset($result[0]);
        }

	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display() {

                $name="REBOOT_RESET_TITLE_DIS";
                include('./includes/header.php');

		
		if ($_POST['v']!="Yes"){

                        $btn_str = '';
                        $modal_str = '';
                        $javascript_str = '';

                        if ($this -> is_t1e1_installed()) { // some optimisations

                                $tab = "\t\t\t";

                                $btn_str .=     $tab."\t\t\t\t\t<a role='button' data-remote='false' data-toggle='modal' data-target='#factoryreset-popup' class='btn btn-default' style='margin-right: 5px;'>\n" .
                                                $tab."\t\t\t\t\t\t".REBOOT_RESET_BUTTON_FACT_RES_DIS ."\n" .
                                                $tab."\t\t\t\t\t</a>\n" .
                                                $tab."\t\t\t\t\t<input class='btn btn-default' id='wizardbutton' type='submit' name='v' value='Wizard'>\n";

                                $modal_str .=   $tab."\t<div class='modal fade bs-example-modal-lg' id='factoryreset-popup' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>\n" .
                                                $tab."\t\t<div class='modal-dialog modal-lg'>\n" .
                                                $tab."\t\t\t<div class='modal-content'>\n" .
                                                $tab."\t\t\t\t<div class='modal-header'>\n" .
                                                $tab."\t\t\t\t\t<button type='button' class='close' data-dismiss='modal' aria-label='Close'><span aria-hidden='true'>&times;</span></button>\n" .
                                                $tab."\t\t\t\t\t<h4 class='modal-title' id='myModalLabel'>".REBOOT_RESET_TITLE_MODE_DIS."</h4>\n" .
                                                $tab."\t\t\t\t</div>\n" .
                                                $tab."\t\t\t\t<div class='modal-body'>\n" .
                                                $tab."\t\t\t\t</div>\n" .
                                                $tab."\t\t\t</div>\n" .
                                                $tab."\t\t</div>\n" .
                                                $tab."\t</div>\n\n";

                                $javascript_str .=      $tab."\t<script type=\"text/javascript\">\n" .
                                                        $tab."\t\t$('#factoryreset-popup').on('show.bs.modal', function(e) {\n" .
                                                        $tab."\t\t\tvar link = $(e.relatedTarget);\n\n" .
                                                        $tab."\t\t\tvar keepSet = document.getElementById('id_keep_set').checked.toString();\n" .
                                                        $tab."\t\t\tvar keepCloudSet = document.getElementById('id_keep_cloud_set').checked.toString();\n" .
                                                        $tab."\t\t\tvar keepSipSet = document.getElementById('keep_sip_set').checked.toString();\n" .
                                                        $tab."\t\t\tvar keepAppSet = document.getElementById('keep_app_set').checked.toString();\n\n" .
                                                        $tab."\t\t\t$('.modal-body').load('modules/RebootReset/factoryreset_popup.php?Set=' + keepSet + '&CloudSet=' + keepCloudSet + '&SipSet=' + keepSipSet + '&AppSet=' + keepAppSet);\n" .
                                                        $tab."\t\t});\n\n" .
                                                        $tab."\t\t$('#factoryreset-popup').on('hidden.bs.modal', function (e) {\n" .
                                                        $tab."\t\t\t$('.modal-body').empty();\n" .
                                                        $tab."\t\t});\n" .
                                                        $tab."\t</script>\n\n";
                        }
                        else {
                                $btn_str .=     "<input type='submit' class='btn btn-default' name='v' class='resetB' value='".REBOOT_RESET_BUTTON_FACT_RES_DIS."'>&nbsp;
                                                <input class='btn btn-default' id='wizardbutton' type='submit' name='v' value='Wizard'>\n";
                        }

			$ret.= "<br/>
				<table class='table table-striped table-bordered' style='max-width:400px; margin:auto;'>
				    <tr>
				        <th>
				        	".REBOOT_RESET_MESSAGE_REB_DIS."
				        </th>
				    </tr>
				    <tr>
				    	<td class='text-center'><form action='./reboot.php' method='POST' name='reboot' onsubmit='return confirm(\"".REBOOT_RESET_CONFIRM_REBOOT_DIS."\");'>
							<input type='hidden' name='action' value='reboot'>
							<input type='hidden' name='v' value='Yes'>
							<input type='submit' class='btn btn-default' name='submit' style='margin-top:5px;'  value='".REBOOT_RESET_BUTTON_REBOOT_DIS."'>
							</form>
						</td>
				    </tr>
				</table>";

			$ret.= "<br/><br/>
				        <form action='modules/RebootReset/recreate.php?val=yes' method='POST' name='reset' onsubmit='return confirm(\"".REBOOT_RESET_CONFIRM_RESET_DIS."\");'>
							<table class='table table-striped table-bordered' style='max-width:400px; margin:auto;'>
							<tr><td colspan=2><strong>" . REBOOT_RESET_MESSAGE_RESET_DIS . "</strong>"
							. "<br>"
							. "<strong>" . REBOOT_RESET_KEEP_SETTINGS_DIS . ":</strong></td></tr>
							<tr><td>".REBOOT_RESET_KEEP_SETTINGS_RES_DIS."</td><td><input type='checkbox' name='keep_set' id='id_keep_set' style='margin-top:5px;' checked></td></tr>
							<tr><td>".REBOOT_RESET_KEEP_CLOUD_SETTINGS_RES_DIS."</td><td><input type='checkbox' name='keep_cloud_set' id='id_keep_cloud_set' style='margin-top:5px;' checked></td></tr>
							<tr><td>".REBOOT_RESET_KEEP_SIP_SETTINGS_RES_DIS."</td><td><input type='checkbox' name='keep_sip_set' id='keep_sip_set' style='margin-top:5px;'></td></tr>
							<tr><td>".REBOOT_RESET_KEEP_APP_CONFIG_RES_DIS."</td><td><input type='checkbox' name='keep_app_set' id='keep_app_set' style='margin-top:5px;'></td></tr>
							</table>
							<div class='text-center'>\n";
			$ret .= $btn_str;

			$ret .=	"\t\t\t</div>\n" .
				"\t\t\t</form>\n\n";

			$ret .= $modal_str;
			
			$ret .= $javascript_str;

			$ret .= "<script>
					$('#keep_sip_set').change(function() {
						if ($(this).attr('checked')) $('#wizardbutton').attr('style','display:none;');
						else $('#wizardbutton').attr('style','display:inline;');
					});
				</script>";
		}
		if (isset($_GET['li1Old'])){
			$li1=exec('/bin/sed -ne "s/type: \(.*\)/\1/p" /proc/li1');
			$ret.= "<br/><br/>
				<table class='table table-striped table-bordered' style='max-width:400px; margin:auto;'>
				    <tr>
				        <th>
							".REBOOT_RESET_MESSAGE_MIGRATE_DIS.
							REBOOT_RESET_OLD_LI_DIS.":".$_GET['li1Old']."<br/>".
							REBOOT_RESET_NEW_LI_DIS.":".Helper::getLiName($li1)."							
						</th>
					</tr>
					<tr>
				        <td>
				        <form action'=index.php?m=".$_GET['m']."' method='POST' name='migrate' onsubmit='return confirm(\"".REBOOT_RESET_CONFIRM_MIGRATE_DIS."\");'>
							<input type='hidden' name='action' value='updatedb'>
							<input type='submit' name='v' class='btn btn-default' value='".REBOOT_RESET_BUTTON_MIGRATE_DB_DIS."'>
							</form>
						</td>
					</tr>
				</table>
				";
		}
		
		
	//Rückgabe: Der Inhalt von der HTML-Seite  
		return $ret;
	}

}
?>
